1. The bot currently doesn't work with version 3.1 of the TS client. Please downgrade to an older version. Read this for more information on how to downgrade.

Sinusbot Installer Script 1.3.4

Install latest Sinusbot, TS3-Client and YT-DL.

  1. Qhiliqq
    ### German ###

    Support hier!

    Getestete Distributionen: Ubuntu 16.0.4 LTS, Ubuntu 14.0.4 LTS, Debian 8, CentOS 7
    Debian 7 wird seit langem nicht mehr unterstützt!

    Hey ;)

    Da viele Personen das Problem haben den Bot zu installieren, habe ich einen Installer geschrieben, welcher alles wichtige installiert.

    Funktionen:
    1. Installieren des Bots
    2. Updaten des Bots
    3. Passwort zurücksetzen
    4. Löschen des Bots

    Ausgeführt wird folgendes:
    • Check ob Linux-Version (Debian, Ubuntu, CentOS) unterstützt wird
    • Installieren von TeamSpeak mit neuster Version
    • Installieren von allen notwendigen Paketen
    • Erstellen eines seperaten Users für den Bot
    • Installieren des Beta Bots
    • Installieren des YT-DL
    • Cronjob für tägliches Update des YT-DL und Sinusbot (sobald unterstützt)
    • Anpassen aller Rechten
    • Erstellen systemd Datei => starten/stoppen über "service sinusbot {start|etc}" oder init.d "/etc/init.d/sinusbot {start|etc}"
    • Selbstständiges löschen aller ungebrauchten Dateien und Archive
    • Startet den Sinusbot im Anschluss an die Installation
    • Auf Wunsch update und remove des Bots
    Der Installationsprozess dauert ca. eine Minute.

    Kein Support bei Plesk! Falls es dort Probleme gibt, werde ich keinerlei Hilfe bieten.

    Bei Fragen oder Problemen, schreibt gerne hier :)
    Über eine Bewertung würde ich mich sehr freuen :)

    Du suchst noch einen Hoster für deinen eigenen TeamSpeak³ Server, Gameserver, vServer oder Webhosting, sowie Domains? Dann schau doch mal auf meiner Website https://dathosting.eu vorbei :)

    Grüße
    Philipp

    ### English ###

    Support here!

    Tested distributions: Ubuntu 16.0.4 LTS, Ubuntu 14.0.4 LTS, Debian 8, CentOS 7
    Debian 7 isn't supported anymore!

    Hi :)

    Many people have the big install problem with the bot, so I decided to write a full automatic script for installing it.

    Functions:
    1. Install
    2. Update
    3. Password reset
    4. Remove

    The following tasks will be done:

    • check if linux version (Debian, Ubuntu, CentOS) is supported
    • install TS3 with latest version
    • install all necessary aptitudes
    • create seperate sinusbot user
    • install latest beta bot
    • install YT-DL
    • Cronjob for daily YT-DL update and Sinusbot (once supported)
    • change all filerights
    • generating systemd file => start/stop with "service sinusbot {start|etc}" or init.d "/etc/init.d/sinusbot {start|etc}"
    • deleting unneeded files and archives
    • starting sinusbot after installation
    • option to update and remove the bot
    Installation process take circa one minute.

    If you use Plesk, there is no support from me!

    Problems? Write here :)
    I would be glad if you leave a evaluation :)

    YouTube Video:


    Greetings
    Philipp

Recent Updates

  1. Bugfixes
  2. Fixed bugs, adding pwreset
  3. Fixed bugs

Recent Reviews

  1. AconTM
    AconTM
    1/5,
    Version: 1.3.4
    Funktioniert nicht (Service nicht erstellt, config falsch..) & Unfreundlicher Support.. Zitat "Helfe bei sowas nicht! Augen auf!"

    Nicht weiterzuempfehlen!
  2. Russo
    Russo
    5/5,
    Version: 1.3.3
    super cool, i just installed via scrit on my pc(Debian 8), just for testing and the bot is already running and already connected to my ts3 server, but there was some "errors" in the install script:
    ==========
    Done
    Starting Sinusbot again. Your admin password = '*****'
    Please wait... This will take some seconds!
    /dev/fd/63: line 948: /etc/init.d/sinusbot: No such file or directory
    /dev/fd/63: line 948: [: ==: unary operator expected
    Install done!
    ======

    i dunno if it will auto start when my pc reboot, didnt test yet.
    1. Qhiliqq
      Author's Response
      "Error" is fixed. Would be better if you wrote that in the discussion thread...
  3. WeizenBoss
    WeizenBoss
    5/5,
    Version: 1.3.2
    einfach nur geil!
  4. MrSepp
    MrSepp
    5/5,
    Version: 1.3.2
    Works absolutly perfect, i am loving it! :)
  5. danyrasta
    danyrasta
    5/5,
    Version: 1.3.2
    Saves a lot of work
  6. Syt3m32
    Syt3m32
    5/5,
    Version: 1.3.2
    Top Script, erspart eine Menge Arbeit
  7. Blackheart
    Blackheart
    5/5,
    Version: 1.3.2
    goood
  8. peekfalone
    peekfalone
    5/5,
    Version: 1.3.2
    Danke für die Zeitersparnis!
  9. Martin_Becker
    Martin_Becker
    5/5,
    Version: 1.3.2
    best
  10. Tarr Krisztofer
    Tarr Krisztofer
    3/5,
    Version: 1.3.2
    My error:
    2017/03/16 17:04:29 [GENERAL/SCRIPTS] INFO Loading ScriptPlugin welcometext.js
    2017/03/16 17:04:29 X [MAIN] Starting up fake x-server...
    a manual update is required